#cnblogs_post_body code.hljs {
    font-family: "Courier New",sans-serif!important;
    font-size: 15px!important;
    line-height: 20px;
    background-color: #1E1E1E !important;
    border: 1px solid #ccc!important;
    padding: 5px!important;
    border-radius: 3px!important;
    line-height: 1.8;
    margin: 1px 5px;
    vertical-align: middle;
    display: inline-block;
}

.postDesc {
    font: consolas;
    font-size: 13px;
    background: url(images/posted_time.png) no-repeat 0 1px;
    color: #757575;
    float: left;
    width: 100%;
    clear: both;
    text-align: left;
    padding-left: 20px;
    padding-right: 5px;
    margin-top: 20px;
    line-height: 1.5;
}

.c_b_p_desc {
    font: consolas;
    font-size: 14px;
    line-height: 1.7;
}
blog-common.css…vU8zBESgwkk1:1
.c_b_p_desc {
    word-wrap: break-word;
    word-break: break-all;
    overflow: hidden;
    line-height: 1.5;
}
.postTitle a:link, .postTitle a:visited, .postTitle a:active {
    font: consolas;
    color: #21759b;
    transition: all 0.4s linear 0s;
}
#blogTitle h1 {
    font: consolas;
    font-size: 30px;
    font-weight: bold;
    font-family: "Comic Sans MS";
    line-height: 1.5em;
    margin-top: 20px;
    color: #515151;
}

.postTitle {
    font: consolas;
    border-left: 3px solid #21759b;
    margin-bottom: 10px;
    font-size: 20px;
    float: right;
    width: 100%;
    clear: both;
}

.day .postTitle a {
    padding-left: 10px;
}
.postTitle a:hover {
    margin-left: 30px;
    color: #0f3647;
    text-decoration: none;
}

body {
    color: #003050;
	background: url(https://images.cnblogs.com/cnblogs_com/ShichengXiao/1274511/o_avatar.jpg) fixed;
    background-size: 1920px;
    font-family: "Consolas";
    font-size: 17px;
}

#home {
	opacity: 0.67;
	margin: 0 auto;
	width: 65%;
	min-width: 1160px;
	background-color: #fff;
	padding: 30px;
	margin-top: 30px;
	margin-bottom: 50px;
	box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}

#title {
	font-family: Times, "Consolas", serif;
	font-size: 15px;
}

#mainContent {
    min-height: 200px;
    padding: 0px 0px 10px 0;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    overflow: hidden;
    float: left;
    margin-left: -22em;
    width: 110%;
}
.cnblogs-markdown .hljs {
    display: block;
    overflow-x: auto;
    padding: 0.5em;
    background: #1E1E1E !important;
    color: #DCDCDC !important;
}

.hljs-title {
    color = cyan;
}

.cnblogs-markdown .hljs {
    font-family: "Courier New"!important;
    font-size: 15px!important;
}

.cnblogs-markdown .hljs-keyword,
.cnblogs-markdown .hljs-literal,
.cnblogs-markdown .hljs-symbol,
.cnblogs-markdown .hljs-name {
  color: #569CD6  !important;
}

.cnblogs-markdown .hljs-link {
  color: #569CD6 !important;
  text-decoration: underline;
}

.cnblogs-markdown .hljs-built_in,
.cnblogs-markdown .hljs-type {
  color: #4EC9B0 !important;
}

.cnblogs-markdown .hljs-number,
.cnblogs-markdown .hljs-class {
  color: #B8D7A3 !important;
}

.cnblogs-markdown .hljs-string,
.cnblogs-markdown .hljs-meta-string {
  color: #D69D85 !important;
}

.cnblogs-markdown .hljs-regexp,
.cnblogs-markdown .hljs-template-tag {
  color: #9A5334 !important;
}

.postBody {
    color: #000;
    line-height: 1.7;
    font-size: 16px;
}

#div_digg {
    position: fixed;
    bottom: 5px;
    width: 140px;
    right: 70px;
    border: 2px solid #003050;
    padding: 10px;
    background-color: #fff;
    border-radius: 5px 5px 5px 5px !important;
    box-shadow: 0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
}
#div_digg {
    float: right;
    margin-bottom: 10px;
    margin-right: 30px;
    font-size: 12px;
    width: 145px;
    text-align: center;
    margin-top: 10px;
}
.hljs-comment, .hljs-quote, .hljs-variable {
    color: orange;
}

#write, #write h1, #write h2, #write h3, #write h4, #write h5, #write h6, #write p, #write pre {
    width: inherit;
}
#write, #write h1, #write h2, #write h3, #write h4, #write h5, #write h6, #write ol, #write p, #write ul {
    position: relative;
}
h1, h2, h3 {
    font: consolas;
    text-align: center;
}
h2 {
    font-size: 25px;
    margin-top: 2em;
    font-weight: normal;
}
h2 {
    font-size: 1.8rem;
}

#write {
    max-width: 960px;
    margin: 0px auto 2em;
    line-height: 1.53;
}
#write {
    margin: 0px auto;
    word-break: normal;
    word-wrap: break-word;
    padding-bottom: 70px;
    white-space: pre-wrap;
    overflow-x: visible;
}
body {
    font-family: Vollkorn, Palatino, Times;
    color: rgb(51, 51, 51);
    line-height: 1.4;
    text-align: justify;
}

h2::after {
    border-bottom: 1px solid rgb(47, 47, 47);
    content: "";
    width: 100px;
    display: block;
    margin: 0px auto;
    height: 1px;
}
*, ::after, ::before {
    box-sizing: border-box;
}

h3 {
    font-weight: normal;
    margin-top: 3em;
}

#cnblogs_post_body h2 {
    font-size: 28px;
    font-weight: bold;
    line-height: 1.6;
    margin: 25px 0;
}

#cnblogs_post_body h3 {
    font-size: 25px;
    font-weight: bold;
    line-height: 1.4;
    margin: 16px 0;
}

#cnblogs_post_body h4 {
    font-size: 22px;
    font-weight: bold;
    margin: 12px 0;
}
blockquote {
    margin-left: 1em;
    padding-left: 1em;
    border-left: 1px solid rgb(221, 221, 221);
}
blockquote {
    margin: 1rem 0px;
}
blockquote {
    display: block;
    -webkit-margin-before: 1em;
    -webkit-margin-after: 1em;
    -webkit-margin-start: 0px;
    -webkit-margin-end: 0px;
}
a:link {
    color: midnightblue;
    text-decoration: none;
}
a:visited {
    color: midnightblue;
    text-decoration: none;
}
#blogTitle h2 {
    font-weight: normal;
    font-size: 19px;
    line-height: 2.646153846;
    color: #ac2018;
    float: left;
}










#sideToolbar {
	position: fixed;
	bottom: -12px;
	right: 25px;
	width: 250px;
	height: 440px;
}
#sideToolbar ul,#sideToolbar ol{
	padding: 0px;
}
#sideToolbar li{
	list-style: none;
}
#sideCatalog{
	background-color:#fff;
	padding-bottom:10px;
	border-radius:5px;
}
#sideCatalog-sidebar {
	-moz-border-bottom-colors: none;
	-moz-border-left-colors: none;
	-moz-border-right-colors: none;
	-moz-border-top-colors: none;
	background-color: #eaeaea;
	border-color: -moz-use-text-color #eaeaea;
	border-image: none;
	border-left: 1px solid #eaeaea;
	border-right: 1px solid #eaeaea;
	border-style: none solid;
	border-width: 0 1px;
	height: 353px;
	left: 5px;
	position: absolute;
	top: 0;
	width: 0
}
#sideCatalog-catalog {
	height: 325px;
	padding-top: 18px;
	overflow: hidden;
	padding-left: 23px;
	position: relative
}
#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-top {
	cursor: pointer;
	top: 0
}
#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-bottom {
	bottom: 0
}
#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-top,#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-bottom {
	background: url("sideToolbar.gif") no-repeat scroll 0 -199px transparent;
	height: 10px;
	left: -5px;
	overflow: hidden;
	position: absolute;
	width: 10px
}
#sideCatalog li {
	margin: 0px;
	padding: 0 7px;
	text-align: left;
	position: relative
}
#sideCatalog li: hover {
	background-color: #f5f5f5
}
#sideCatalog-catalog ul .active {
	background-color: #f5f5f5
}
#sideCatalog-catalog .active a {
	color: #519cea
}
#sideCatalog-catalog a: hover {
	color: #519cea
}
#sideCatalog span: first-child {
	color: #999;
	font-family: Arial;
	font-size: 14px;
	font-weight: bold;
	padding-right: 5px
}
#sideCatalog li.h2Offset {
	padding-left: 45px;
	text-indent: -25px
}
#sideCatalog li.h3Offset {
	padding-left: 90px;
	text-indent: -50px
}
#sideCatalog a {
	text-decoration: none;
	color: #555;
	font-weight: bold
}
.sideCatalog-dot {
	background: url("sideToolbar.gif") repeat scroll 0 -222px transparent;
	cursor: pointer;
	font-size: 12px;
	height: 10px;
	left: -20px;
	line-height: 12px;
	overflow: hidden;
	position: absolute;
	top: 4px;
	width: 6px
}
#sideCatalog .highlight .sideCatalog-dot {
	background: url("sideToolbar.gif") no-repeat scroll -271px -38px transparent;
	height: 13px;
	left: -23px;
	top: 3px;
	width: 18px
}
#sideCatalogBtn {
	background: url("sideToolbar.gif") no-repeat scroll 0 0 transparent;
	cursor: pointer;
	display: block;
	height: 45px;
	margin-bottom: 5px;
	margin-left: 5px;
	position: relative;
	width: 45px;
	margin-top: 10px;
	outline: 0
}
#sideCatalogBtn: hover {
	background: url("sideToolbar.gif") no-repeat scroll -154px 0 transparent
}
.sideCatalogBtnDisable {
	background: url("sideToolbar.gif") no-repeat scroll -104px 0 transparent !important
}
#sideToolbar-up {
	background: url("sideToolbar.gif") no-repeat scroll -1px -62px transparent;
	border-radius: 2px;
	display: block;
	height: 45px;
	margin-left: 5px;
	width: 45px;
	outline: 0
}
#sideToolbar-up: hover {
	background: url("sideToolbar.gif") no-repeat scroll -74px -62px transparent
}
a:link {
    color: midnightblue;
    text-decoration: none;
}
a:visited {
    color: midnightblue;
    text-decoration: none;
}
#blogTitle h2 {
    font-weight: normal;
    font-size: 19px;
    line-height: 2.646153846;
    color: #ac2018;
    float: left;
}










#sideToolbar {
	position: fixed;
	bottom: -25px;
	right: 15px;
	width: 300px;
	height: 450px
}

#sideCatalog{
        font: message-box;
	background-color:#fff;
	padding-bottom:10px;
	border-radius:5px;
}
#sideCatalog-sidebar {
	-moz-border-bottom-colors: none;
	-moz-border-left-colors: none;
	-moz-border-right-colors: none;
	-moz-border-top-colors: none;
	background-color: #eaeaea;
	border-color: -moz-use-text-color #eaeaea;
	border-image: none;
	border-left: 1px solid #eaeaea;
	border-right: 1px solid #eaeaea;
	border-style: none solid;
	border-width: 0 1px;
	height: 353px;
	left: 5px;
	position: absolute;auto
	top: 0;
	width: 0
}
#sideCatalog-catalog {
	height: 320px;
	padding-top: 18px;
	overflow: auto;
	padding-left: 23px;
	position: relative
}auto
#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-top {
	cursor: pointer;
	top: 0
}
#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-bottom {
	bottom: 0
}
#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-top,#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-bottom {
	background: url("https://files.cnblogs.com/files/asxinyu/sideToolbar.gif") no-repeat scroll 0 -199px transparent;
	height: 10px;
	left: -5px;
	overflow: hidden;
	position: absolute;
	width: 10px
}
#sideCatalog li {
	margin: 0px;
	padding: 0 7px;
	text-align: left;
	position: relative
}
#sideCatalog li: hover {
	background-color: #f5f5f5
}
#sideCatalog-catalog ul .active {
	background-color: #f5f5f5
}
#sideCatalog-catalog .active a {
	color: #519cea
}
#sideCatalog-catalog a: hover {
	color: #519cea
}
#sideCatalog span: first-child {
	color: #999;
	font-family: Arial;
	font-size: 14px;
	font-weight: bold;
	padding-right: 5px
}
#sideCatalog li.h2Offset {
	padding-left: 45px;
	text-indent: -25px
}
#sideCatalog li.h3Offset {
	padding-left: 90px;
	text-indent: -60px
}
#sideCatalog a {
        font: message-box;
	text-decoration: none;
	color: #555;
	font-weight: bold
}
.sideCatalog-dot {
	background: url("https://files.cnblogs.com/files/asxinyu/sideToolbar.gif") repeat scroll 0 -222px transparent;
	cursor: pointer;
	font-size: 12px;
	height: 10px;
	left: -20px;
	line-height: 12px;
	overflow: hidden;
	position: absolute;
	top: 4px;
	width: 6px
}
#sideCatalog .highlight .sideCatalog-dot {
	background: url("https://files.cnblogs.com/files/asxinyu/sideToolbar.gif") no-repeat scroll -271px -38px transparent;
	height: 13px;
	left: -23px;
	top: 3px;
	width: 18px
}
#sideCatalogBtn {
	background: url("https://files.cnblogs.com/files/asxinyu/sideToolbar.gif") no-repeat scroll 0 0 transparent;
	cursor: pointer;
	display: block;
	height: 45px;
	margin-bottom: 5px;
	margin-left: 5px;
	position: relative;
	width: 45px;
	margin-top: 7px;
	outline: 0
}
#sideCatalogBtn: hover {
	background: url("https://files.cnblogs.com/files/asxinyu/sideToolbar.gif") no-repeat scroll -154px 0 transparent
}
.sideCatalogBtnDisable {
	background: url("https://files.cnblogs.com/files/asxinyu/sideToolbar.gif") no-repeat scroll -104px 0 transparent !important
}
#sideToolbar-up {
	background: url("https://files.cnblogs.com/files/asxinyu/sideToolbar.gif") no-repeat scroll -1px -62px transparent;
	border-radius: 2px;
	display: block;
	height: 45px;
	margin-left: 5px;
	width: 45px;
	outline: 0
}
#sideToolbar-up: hover {
	background: url("https://files.cnblogs.com/files/asxinyu/sideToolbar.gif") no-repeat scroll -74px -62px transparent
}

.pager {
    font-size: 14px;
    margin: 10px 0;
    text-align: center;
    color: #ac2018;
    line-height: normal;
}